## scowl 2020.12.07

=== Makefile ===
#
# Make dam sure that the locale is set to C
#

LANG=C
LC_ALL=C
LC_CTYPE=C
LC_COLLATE=C
export LANG LC_ALL LC_CTYPE LC_COLLATE

#
# Special targets
#

levels := $(shell cat l/levels-list 2> /dev/null)

programs := src/deaccent src/find-accented

.PHONY: all
all: $(foreach l, $(levels), final/english-words.$(l)) \
  final/special-roman-numerals.35 final/special-hacker.50 \
  README

.PHONY: clean
clean:
	rm -f working/* $(programs) r/varcon/*.lst r/varcon/variant.tab r/mwords/*.lst r/alt12dicts/*.lst r/ispell/all.* r/pos/word.lst r/uk-freq-class/uk.?? r/census/*.lst debug/*
	make -C speller clean

#
# README
#

README: src/make-README $(foreach l, $(levels), final/english-words.$(l))
	src/make-README

#
# Actual word list creation
#

working/%.mk: l/levels-list
	src/make-call-list $*

make_words = working/words.$(1): $(shell src/make-words-deps $(1)); \
	src/make-words $(1)
-include working/make_words.mk
working/words.00:
	-rm -f working/words.00
	touch working/words.00

split_list = $(shell src/list-combin working/ $(1).pre): \
  $(shell src/split-words-deps $(1)); \
	 src/split-words $(1)
$(call split_list,00)
-include working/split_list.mk

make_final = $(shell src/list-combin final/ $(1) ):                        \
   src/make-final working/with-accents.lst src/add-accents                 \
   $(shell src/list-combin working/ $(1).pre)                              \
   $(shell src/list-combin working/ $(shell src/get-level prev $(1)).pre); \
	src/make-final  $(1)
-include working/make_final.mk

#
# Special lists
#

working/all.lst working/all.lst-unfiltered: \
  src/make-all.lst $(shell find l/supplement/ l/add-affixes/ l/add-possessive -type l)
	$<

working/variant_1.lst working/variant_2.lst working/variant_3.lst: \
  src/make-variant.lst         r/alt12dicts/variant-also.lst \
  r/alt12dicts/variant-yes.lst r/alt12dicts/variant-maybe.lst \
  r/infl/variant_0.lst  r/infl/variant_1.lst  r/infl/variant_2.lst \
  r/varcon/british.lst r/varcon/british_z.lst r/varcon/canadian.lst \
  r/varcon/w_variant-amer.lst r/varcon/w_variant-nonamer.lst  \
  r/special/variant_1  r/special/variant_2  r/special/variant_3 \
  r/special/never-variant
	touch working/possessive-also.lst
	$<
	rm working/possessive-also.lst
	$(MAKE) working/possessive-also.lst
	$<

working/contractions.lst: src/make-contractions.lst working/words.95 working/proper-names.lst working/abbreviations.lst
	$<

working/known-upper.lst: src/make-known-upper.lst l/upper/* \
  src/add-other-spellings r/varcon/voc.tab r/varcon/variant.tab
	$<

working/proper-names.lst: src/make-proper-names.lst \
  working/known-upper.lst l/proper-names/*            \
  working/all.lst working/abbreviations.lst.pre
	$<

working/abbreviations.lst.pre: src/make-abbreviations.lst.pre \
  src/add-affixes \
  working/all.lst working/known-upper.lst l/abbreviations/* \
  r/special/never-abbreviations
	$<

working/abbreviations.lst: src/make-abbreviations.lst \
  working/abbreviations.lst.pre working/proper-names.lst
	$<

working/upper.lst: src/make-upper.lst \
  src/add-affixes working/possessive-also.lst \
  working/known-upper.lst working/abbreviations.lst
	$<

working/possessive-also.lst: src/make-possessive.lst r/special/add-possessive \
  working/abbreviations.lst.pre working/proper-names.lst
	$<

working/with-accents.lst working/without-accents.lst: \
  src/make-accent-lists src/deaccent src/find-accented l/accented/squashed-accented.lst
	$<

# 
# Special lists in final
#

final/special-roman-numerals.35: r/special/roman-numerals
	cp $< $@

final/special-hacker.50: l/hacker/* r/special/hacker-exclude
	cat l/hacker/* | sort -u | comm -23 - r/special/hacker-exclude > $@

#
# Modified form of Raw Lists
#

r/mwords/frequent.lst: src/make-frequent.lst r/mwords/10001fr.equ r/mwords/10002fr.equ
	$<

r/census/dist.all.last.lst r/census/dist.female.first.lst r/census/dist.male.first.lst: \
  src/proc-census \
  r/census/dist.all.last r/census/dist.female.first r/census/dist.male.first
	$<

$(foreach b, \
  02of12 05of12 11of12 abbr not-abbr variant-maybe variant-also variant-yes not-variant,\
  r/alt12dicts/$(b).lst): src/proc-alt12dicts
	$<

r/alt12dicts/3esl.lst: r/alt12dicts/3esl.txt src/clean-alan-list
	src/clean-alan-list < $< > $@

r/alt12dicts/2of4brif.lst: r/alt12dicts/2of4brif.txt src/clean-alan-list
	src/clean-alan-list < $< > $@

r/alt12dicts/5desk.lst: r/alt12dicts/5desk.txt src/clean-alan-list
	src/clean-alan-list < $< > $@

r/alt12dicts/signature.lst: r/alt12dicts/signature.txt src/clean-alan-list
	src/clean-alan-list < $< > $@

r/alt12dicts/neol-50.lst r/alt12dicts/neol-80.lst: r/alt12dicts/neol2016.txt
	src/proc-neol

l/supplement/50/neol-50.lst: r/alt12dicts/neol-50.lst
l/supplement/80/neol-80.lst: r/alt12dicts/neol-80.lst

#
#r/ispell/all.0 r/ispell/all.1: r/ispell/all.%: \
#  src/make-ispell-all.lst 
#	$< $*

#$(foreach b, \
#  abbreviations acronyms english variant non-american all,\
#  r/12dicts/$(b).lst): \
#src/proc-12dicts r/12dicts/6of12.txt
#	src/proc-12dicts

r/varcon/american.lst r/varcon/british.lst r/varcon/british_z.lst r/varcon/canadian.lst: \
  r/varcon/split r/varcon/varcon.txt
	cd r/varcon; ./split

r/varcon/w_variant-amer.lst r/varcon/w_variant-nonamer.lst: \
  r/varcon/split r/varcon/varcon.txt
	cd r/varcon; ./w_variant

r/varcon/variant.tab: r/varcon/make-variant r/varcon/varcon.txt r/varcon/variant-also.tab r/varcon/variant-infl.tab
	cd r/varcon; ./make-variant no-infl

r/ukacd/deaccented.lst: src/make-ukacd-deaccented.lst \
  r/ukacd/ukacd17.txt src/deaccent
	$<

r/ukacd/squashed.lst: src/make-ukacd-squashed.lst r/ukacd/deaccented.lst
	$<

r/ukacd/squashed-accented.lst: \
  src/make-ukacd-squashed-accented.lst r/ukacd/ukacd17.txt
	$<

r/pos/word.lst: r/pos/part-of-speech.txt
	cat r/pos/part-of-speech.txt | cut -f1 > r/pos/word.lst

r/uk-freq-class/uk.%: src/proc-uk-freq-class
	$<

#
# Special programs creation
#

$(programs): src/%: src/%.cc
	cd src && make $*

#
# Level information
#

l/levels-list: l/levels
	sed 's/#.*$$//' < l/levels > l/levels-list

#
# Makefiles creation
#

Makefile: l/levels-list

deps: .symbolic-deps
.symbolic-deps: $(shell find l -type d)
	src/make-symbolic-deps
-include .symbolic-deps

#
# Sanity checks and related
#
scowl.db: final/*
	-rm scowl.db
	sql/create.sh

test: scowl.db
	make -C speller hunspell
	sql/test

=== debian/changelog ===
scowl (2020.12.07-4) unstable; urgency=medium

  * Switch to convert-bdic and install bdic to usr/share/hunspell-bdic;
    remove compatibility symlinks (Closes: #1086609)

 -- Don Armstrong <don@debian.org>  Fri, 14 Mar 2025 20:13:01 -0700

scowl (2020.12.07-3) unstable; urgency=medium

  * Include hunspell .bdic files (for qtwebengine and others). (Closes:
    #1017646) Thanks to Soren Stoutner.
  * Wordlists are also sorted with -f in addition to -d, as that is now
    the default for look (Closes: #1040126). Thanks to Peter Moulder.

 -- Don Armstrong <don@debian.org>  Wed, 25 Sep 2024 22:57:56 -0700

scowl (2020.12.07-2) unstable; urgency=medium

  * Separate uniqifying from sort; users (and other plurals with
    contractions) missing from wordlist because of this. (Closes:
    #1003935)

 -- Don Armstrong <don@debian.org>  Wed, 19 Jan 2022 21:16:40 -0800

scowl (2020.12.07-1) unstable; urgency=medium

  * New upstream release
  * Wordlists are now sorted with the -d option to sort, which only sorts
    in dictionary order instead of sorting in LC_SORT=C order. (Closes:
    #987857)
  * Switch to using mk-list instead of custom code for identifying files
    to include
  * Include apostrophe in hunspell affix wordlist; hunspell now supports
    contractions (Closes: #491638)

 -- Don Armstrong <don@debian.org>  Thu, 21 Oct 2021 15:46:29 -0700

=== debian/control ===
Source: scowl
Maintainer: Don Armstrong <don@debian.org>
Section: text
Priority: standard
Standards-Version: 4.1.4
Build-Depends: debhelper (>= 12)
Build-Depends-Indep: dictionaries-common-dev, dos2unix, aspell, convert-bdic
Homepage: http://wordlist.sourceforge.net/
Vcs-Browser: https://git.donarmstrong.com/deb_pkgs/scowl.git
Vcs-Git: https://git.donarmstrong.com/deb_pkgs/scowl.git

Package: scowl
Architecture: all
Multi-Arch: foreign
Priority: optional
Depends: ${misc:Depends}
Description: Spell-Checker Oriented Word Lists
 The SCOWL is a collection of word lists organized by word popularity,
 language, word class, and other factors.  These lists can be
 combined in various ways (or used individually) for spell checking
 and similar purposes.
 .
 The Debian wamerican*, wbritish*, and wcanadian* wordlist packages
 are built from (appropriate collections of) these same lists.  Install
 one (or more) of those packages if you want a comprehensive word list;
 install scowl if you (also) want to pick and choose the pieces that
 comprise those lists.
 .
 You can learn more about SCOWL (and other English word lists) at
 http://wordlist.sourceforge.net/

Package: wamerican
Architecture: all
Multi-Arch: foreign
Priority: standard
Depends: ${misc:Depends}
Provides: wordlist
Description: American English dictionary words for /usr/share/dict
 This package provides the file /usr/share/dict/american-english
 containing a list of English words with American spellings.
 This list can be used by spelling checkers, and by programs such
 as look(1).
 .
 There are also -small, -large, and -huge versions of this word list,
 and there are wbritish* and wcanadian* packages as well.

Package: wamerican-small
Architecture: all
Multi-Arch: foreign
Priority: optional
Depends: dictionaries-common (>=0.20), ${misc:Depends}
Provides: wordlist
Description: American English dictionary words for /usr/share/dict
 This package provides the file /usr/share/dict/american-english-small
 containing a list of English words with American spellings.
 This list can be used by spelling checkers, and by programs such
 as look(1).
 .
 This is a smaller list than the one installed by wamerican; nothing
 prevents you installing both (and others) at the same time.
 .
 There are also -large and -huge version of this word list,
 and there are wbritish* and wcanadian* packages as well.

Package: wamerican-large
Architecture: all
Multi-Arch: foreign
Priority: optional
Depends: dictionaries-common (>=0.20), ${misc:Depends}
Provides: wordlist
Description: American English dictionary words for /usr/share/dict
 This package provides the file /usr/share/dict/american-english-large
 containing a list of English words with American spellings.
 This list can be used by spelling checkers, and by programs such
 as look(1).
 .
 This is a larger list than the one installed by wamerican; nothing
 prevents you installing both (and others) at the same time.
 .
 There are also -small and -huge version of this word list,
 and there are wbritish* and wcanadian* packages as well.

Package: wamerican-huge
Architecture: all
Multi-Arch: foreign
Priority: optional
Depends: dictionaries-common (>=0.20), ${misc:Depends}
Provides: wordlist
Description: American English dictionary words for /usr/share/dict
 This package provides the file /usr/share/dict/american-english-huge
 containing a list of English words with American spellings.
 This list can be used by spelling checkers, and by programs such
 as look(1).
 .
 This is an even larger list than the one installed by wamerican-large;
 nothing prevents you installing both (and others) at the same time.
 .
 There are also -small and standard versions of this word list,
 and there are wbritish* and wcanadian* packages as well.

Package: wamerican-insane
Architecture: all
Multi-Arch: foreign
Priority: optional
Depends: dictionaries-common (>=0.20), ${misc:Depends}
Provides: wordlist
Description: American English dictionary words for /usr/share/dict
 This package provides the file /usr/share/dict/american-english-insane
 containing a list of English words with American spellings.
 This list can be used by spelling checkers, and by programs such
 as look(1).
 .
 This is an even larger list than the one installed by wamerican-huge,
 and possibly contains invalid words (as well as words that are very
 uncommon). Nothing prevents you installing both (and others) at the
 same time.
 .
 There are also -small and standard versions of this word list,
 and there are wbritish* and wcanadian* packages as well.


Package: wbritish
Architecture: all
Multi-Arch: foreign
Priority: optional
Depends: dictionaries-common (>=0.20), ${misc:Depends}
Provides: wordlist
Description: British English dictionary words for /usr/share/dict
 This package provides the file /usr/share/dict/british-english
 containing a list of English words with British spellings.
 This list can be used by spelling checkers, and by programs such
 as look(1).
 .
 There are also -small, -large, and -huge versions of this word list,
 and there are wamerican* and wcanadian* packages as well.

Package: wbritish-small
Architecture: all
Multi-Arch: foreign
Priority: optional
Depends: dictionaries-common (>=0.20), ${misc:Depends}
Provides: wordlist
Description: British English dictionary words for /usr/share/dict
 This package provides the file /usr/share/dict/british-english-small
 containing a list of English words with British spellings.
 This list can be used by spelling checkers, and by programs such
 as look(1).
 .
 This is a smaller list than the one installed by wbritish; nothing
 prevents you installing both (and others) at the same time.
 .
 There are also -large and -huge version of this word list,
 and there are wamerican* and wcanadian* packages as well.

Package: wbritish-large
Architecture: all
Multi-Arch: foreign
Priority: optional
Depends: dictionaries-common (>=0.20), ${misc:Depends}
Provides: wordlist
Description: British English dictionary words for /usr/share/dict
 This package provides the file /usr/share/dict/british-english-large
 containing a list of English words with British spellings.
 This list can be used by spelling checkers, and by programs such
 as look(1).
 .
 This is a larger list than the one installed by wbritish; nothing
 prevents you installing both (and others) at the same time.
 .
 There are also -small and -huge versions of this word list,
 and there are wamerican* and wcanadian* packages as well.

Package: wbritish-huge
Architecture: all
Multi-Arch: foreign
Priority: optional
Depends: dictionaries-common (>=0.20), ${misc:Depends}
Provides: wordlist
Description: British English dictionary words for /usr/share/dict
 This package provides the file /usr/share/dict/british-english-huge
 containing a list of English words with British spellings.
 This list can be used by spelling checkers, and by programs such
 as look(1).
 .
 This is an even larger list than the one installed by wbritish-large;
 nothing prevents you installing both (and others) at the same time.
 .
 There are also -small and standard versions of this word list,
 and there are wamerican* and wcanadian* packages as well.

Package: wbritish-insane
Architecture: all
Multi-Arch: foreign
Priority: optional
Depends: dictionaries-common (>=0.20), ${misc:Depends}
Provides: wordlist
Description: British English dictionary words for /usr/share/dict
 This package provides the file /usr/share/dict/british-english-insane
 containing a list of English words with British spellings.
 This list can be used by spelling checkers, and by programs such
 as look(1).
 .
 This is an even larger list than the one installed by wbritish-huge,
 and possibly contains invalid words (as well as words that are very
 uncommon). Nothing prevents you installing both (and others) at the
 same time.
 .
 There are also -small and standard versions of this word list,
 and there are wamerican* and wcanadian* packages as well.

Package: wcanadian
Architecture: all
Multi-Arch: foreign
Priority: optional
Depends: dictionaries-common (>=0.20), ${misc:Depends}
Provides: wordlist
Description: Canadian English dictionary words for /usr/share/dict
 This package provides the file /usr/share/dict/canadian-english
 containing a list of English words with Canadian spellings.
 This list can be used by spelling checkers, and by programs such
 as look(1).
 .
 There are also -small, -large and -huge versions of this word list,
 and there are wbritish* and wamerican* packages as well.

Package: wcanadian-small
Architecture: all
Multi-Arch: foreign
Priority: optional
Depends: dictionaries-common (>=0.20), ${misc:Depends}
Provides: wordlist
Description: Canadian English dictionary words for /usr/share/dict
 This package provides the file /usr/share/dict/canadian-english-small
 containing a list of English words with Canadian spellings.
 This list can be used by spelling checkers, and by programs such
 as look(1).
 .
 This is a smaller list than the one installed by wcanadian; nothing
 prevents you installing both (and others) at the same time.
 .
 There are also -large and -huge versions of this word list,
 and there are wbritish* and wamerican* packages as well.

Package: wcanadian-large
Architecture: all
Multi-Arch: foreign
Priority: optional
Depends: dictionaries-common (>=0.20), ${misc:Depends}
Provides: wordlist
Description: Canadian English dictionary words for /usr/share/dict
 This package provides the file /usr/share/dict/canadian-english-large
 containing a list of English words with Canadian spellings.
 This list can be used by spelling checkers, and by programs such
 as look(1).
 .
 This is a larger list than the one installed by wcanadian; nothing
 prevents you installing both (and others) at the same time.
 .
 There are also -small and -huge versions of this word list,
 and there are wbritish* and wamerican* packages as well.

Package: wcanadian-huge
Architecture: all
Multi-Arch: foreign
Priority: optional
Depends: dictionaries-common (>=0.20), ${misc:Depends}
Provides: wordlist
Description: Canadian English dictionary words for /usr/share/dict
 This package provides the file /usr/share/dict/canadian-english-huge
 containing a list of English words with Canadian spellings.
 This list can be used by spelling checkers, and by programs such
 as look(1).
 .
 This is an even larger list than the one installed by wcanadian-large;
 nothing prevents you installing both (and others) at the same time.
 .
 There are also -small and standard versions of this word list,
 and there are wbritish* and wamerican* packages as well.

Package: wcanadian-insane
Architecture: all
Multi-Arch: foreign
Section: text
Priority: optional
Depends: dictionaries-common (>=0.20), ${misc:Depends}
Provides: wordlist
Description: Canadian English dictionary words for /usr/share/dict
 This package provides the file /usr/share/dict/canadian-english-insane
 containing a list of English words with Canadian spellings.
 This list can be used by spelling checkers, and by programs such
 as look(1).
 .
 This is an even larger list than the one installed by wcanadian-huge,
 and possibly contains invalid words (as well as words that are very
 uncommon). Nothing prevents you installing both (and others) at the
 same time.
 .
 There are also -small and standard versions of this word list,
 and there are wbritish* and wamerican* packages as well.

Package: hunspell-en-us
Architecture: all
Multi-Arch: foreign
Replaces: openoffice.org-spellcheck-en-us, myspell-en-us
Provides: hunspell-dictionary, hunspell-dictionary-en, hunspell-dictionary-en-us
Depends: dictionaries-common (>= 0.10), ${misc:Depends}
Suggests: hunspell, openoffice.org-hunspell | openoffice.org-core (>= 2.0.2)

=== debian/rules ===
#!/usr/bin/make -f
# -*- Makefile -*- $Id: rules,v 1.18 2005/10/15 03:03:48 david Exp $
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
# Customized 27 Oct 1999 by David Coe for wenglish, later moved to scowl
# This version is for packages that are architecture independent.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# In addition to the scowl binary package, we create wamerican-small, wamerican, wamerican-large, wamerican-huge, and the
# corresponding packages for wbritish and wcanadian.
# The medium size packages have no -size part in their names
# These are the scowl extensions (complexity numbers?) that contribute to each word list (i.e. each size);
# the -size parts "-small", "", "-large", and "-huge" correspond to the end of the binary package name:
empty:=
SIZES=small "" large huge insane
SIZE_OPTIONS_small:=-v2 35
SIZE_OPTIONS:=-v2 50
SIZE_OPTIONS_large:=-v2 70
SIZE_OPTIONS_huge:=-v2 80
SIZE_OPTIONS_insane:=-v3 95
export SIZE_OPTIONS_small
export SIZE_OPTIONS
export SIZE_OPTIONS_large
export SIZE_OPTIONS_huge
export SIZE_OPTIONS_insane

SPELLINGS:= american british canadian

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

override_dh_auto_build:
	set -ex; \
	mkdir -p final_utf8;\
	for file in final/*.[0-9][0-9]; do\
		iconv -f 'iso8859-1' -t 'utf-8' < $${file} > final_utf8/$$(basename $${file}); \
	done;
	set -ex;\
	for SPELLING in $(SPELLINGS); do\
	  for SIZE in $(SIZES); do\
	    if [ -n "$$SIZE" ]; then SIZE_NAME="_$$SIZE"; SIZE="-$$SIZE"; else SIZE_NAME=""; SIZE=""; fi; \
	    echo "The following SCOWL word lists were concatenated and sorted (with duplicates" > w$$SPELLING$$SIZE.scowl-word-lists-used;\
	    echo "removed) to create this word list (see README.Debian for more details):" >> w$$SPELLING$$SIZE.scowl-word-lists-used;\
		ARGS=`eval echo "\$$""SIZE_OPTIONS$$SIZE_NAME"`; \
		for word_list in `./mk-list -f $${SPELLING} $${ARGS}`; do \
			if [ -f final/"$${word_list}" ]; then\
				cat final/$${word_list} >> $$SPELLING-english$$SIZE.unsorted; \
				echo "  $${word_list}" >> w$$SPELLING$$SIZE.scowl-word-lists-used;\
			fi;\
		done; \
	  cat $$SPELLING-english$$SIZE.unsorted | LC_ALL=C sort -d -f | uniq | iconv -f 'iso8859-1' -t 'utf-8' > $$SPELLING-english$$SIZE; rm $$SPELLING-english$$SIZE.unsorted;\
	  done;\
	done
	cd speller && $(MAKE) hunspell
	( cd speller; \
	  for a in *.dic; do \
			/usr/bin/convert-bdic $$a $${a%%.dic}.bdic; \
	done;)

override_dh_auto_clean:
	rm -rf final_utf8;
	set -e;\
	for SIZE in $(SIZES); do\
	  if [ -n "$$SIZE" ]; then SIZE="-$$SIZE"; fi; \
	  for SPELLING in $(SPELLINGS); do\
	    rm -f $$SPELLING-english$$SIZE.unsorted $$SPELLING-english$$SIZE $$SPELLING-english$$SIZE.5 w$$SPELLING$$SIZE.scowl-word-lists-used;\
	  done;\
	done
	cd speller && $(MAKE) clean
	rm -f speller/*.bdic

INSTALL_WORDLISTS=$(patsubst %-"",%,$(foreach spelling,$(SPELLINGS),$(foreach size,$(SIZES),install-w$(spelling)-$(size))))

override_dh_auto_install: install-scowl install-hunspell $(INSTALL_WORDLISTS)
	installdeb-wordlist -pwamerican --noscripts
	installdeb-wordlist --no-package=wamerican --no-package=scowl --no-package=hunspell-en-us --no-package=hunspell-en-au --no-package=hunspell-en-ca
	installdeb-hunspell -phunspell-en-ca -phunspell-en-au -phunspell-en-us

install-scowl:
	dh_installdirs --package=scowl

	dh_install --package=scowl final_utf8/*.[0-9][0-9] usr/share/dict/scowl
	dh_installdocs --package=scowl README debian/README.Debian

install-hunspell:
	dh_install --package=hunspell-en-us
	dh_install --package=hunspell-en-au
	dh_install --package=hunspell-en-ca

override_dh_auto_test:
	echo "doing nothing";

override_dh_gencontrol:
	dh_gencontrol -Nhunspell-en-us -Nhunspell-en-au -Nhunspell-en-ca
	dh_gencontrol -phunspell-en-us -phunspell-en-au -phunspell-en-ca -- -v1:$(DEB_VERSION)


WORDLIST=$(shell echo $(*)|sed -re 's/^w([a-z]*)(-*[a-z]*)/\1-english\2/')
$(INSTALL_WORDLISTS): install-%: install-scowl
	dh_testdir
	dh_testroot
	dh_installdirs --package=$(*) usr/share/dict
	dh_install --package=$(*) $(shell echo $(*)|sed -re	\
's/^w([a-z]*)(-*[a-z]*)/\1-english\2/') usr/share/dict
	dh_installdocs --package=$(*) $(*).scowl-word-lists-used debian/README.Debian
	sed "s/WORDLIST/$(WORDLIST)/g" < debian/wordlist_manpage_template > $(WORDLIST).5
	dh_installman --package=$(*) $(WORDLIST).5

# this is the install-w$(SPELLING)-$(VARIANT) rule
.PHONY: $(foreach spelling,$(SPELLINGS),$(foreach size,$(SIZES),install-w$(spelling)-$(size)))
